Toybrick

1808m0安装运行环境各种坑-厂商就不解决吗?

yaqi825

注册会员

积分
185
发表于 2021-3-6 11:45:32    查看: 4848|回复: 14 | [复制链接]    打印 | 显示全部楼层
根据提供的说明书,1808m0实在是安装不上rknn1.6啊,好不容易方案定了采用这个架构,文档是debian9.8,新的不更新,吐槽一下吧,建议不要购买1808m0,坑太多了。。。。
回复

使用道具 举报

jefferyzhang

论坛元老

积分
8478
发表于 2021-3-6 11:49:38 | 显示全部楼层
本帖最后由 jefferyzhang 于 2021-3-6 11:51 编辑

1. 出产固件自带全部环境,无需客户安装
2. 1808仅支持rknn-toolkit-lite,文档里有说明。
3. rknn-api仅需一个so和h编译自己代码即可,无需1808环境。
4. 被动模式仅需当计算棒用,1808上无需安装任何东西。
5. 1808仅双核A35CPU,性能有限,在上头部署程序可以,当开发编译环境是不行的。
回复

使用道具 举报

jefferyzhang

论坛元老

积分
8478
发表于 2021-3-6 11:50:10 | 显示全部楼层
所以我完全不知道你在问什么。。。
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 14:31:04 | 显示全部楼层
感谢回答,rknn_toolkit_lite-1.6.0-可以安装上,rknn_toolkit没有安装上,文档上面写的是rknn_toolkit可以跑在debian10所以就试了试,估计好多人有这个问题。有了这个帖子可能很多人就明白,1808只支持rknn_toolkit_lite-1.6.0不能安装完整版的rknn_toolkit
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 14:43:25 | 显示全部楼层
jefferyzhang 发表于 2021-3-6 11:49
1. 出产固件自带全部环境,无需客户安装
2. 1808仅支持rknn-toolkit-lite,文档里有说明。
3. rknn-api仅需 ...

有一个demo master_yolov3 里面这个应该是放在1808里面,然后host在电脑里面跑,没有问题的,现在出现的情况是1808 放进去运行不了,这个demo是运行在1808s0不支持m0吗?
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 14:46:36 | 显示全部楼层
jefferyzhang 发表于 2021-3-6 11:50
所以我完全不知道你在问什么。。。

toybrick@debian10:~$ cd /opt/
toybrick@debian10:/opt$ ls
1808
toybrick@debian10:/opt$ cd 1808/
toybrick@debian10:/opt/1808$ ls
boot.sh  rknn_server_class.py  yolov3_server.py  yolov3_tiny.rknn
toybrick@debian10:/opt/1808$ python3 yolov3_server.py
Traceback (most recent call last):
  File "yolov3_server.py", line 3, in <module>
    from rknn.api import RKNN
ModuleNotFoundError: No module named 'rknn'
回复

使用道具 举报

jefferyzhang

论坛元老

积分
8478
发表于 2021-3-6 15:36:31 | 显示全部楼层
本帖最后由 jefferyzhang 于 2021-3-6 15:39 编辑
yaqi825 发表于 2021-3-6 14:46
toybrick@debian10:~$ cd /opt/
toybrick@debian10:/opt$ ls
1808

仔细看文档,rknn是个模型格式,rknntoolkit和lite都是调用模型的工具而已。python基本错误请自行百度。toolkit和lite用法请参看文档,sample都有,自行举一反三。
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 17:30:39 | 显示全部楼层

样本地址是什么?是这个吗?
http://t.rock-chips.com/wiki.php?mod=view&id=74
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 17:58:49 | 显示全部楼层
我的方案是采用1808m0的主动模式,自己运行yoloV3 ,然后我用host的程序,从摄像头取数。开始调试:demo下载地址:
https://rockchips-my.sharepoint. ... bWU9akhJZjU0UGcyRWc
下载:master_yolov3
将1808mo刷新为TB-RK1808M0--image_V2.1的固件,支持win10 网卡。
运行教程:http://t.rock-chips.com/wiki.php?mod=view&id=74
开始将数据拷入1808M0
官方表示,已将安装调取rknn模型的工具
测试 RKNN-Toolkit-lite 工具有安装,测试没有问题



开始在1808M0运行RKNN-Toolkit工具,测试
查看文档,需要依赖:

然后在1808M0安装以下各种库,开始跑rknn
需要自己编译h5py的依赖库hdf5,我对于开发环境不太熟悉,只能选在1808M0上编译,遇到问题是编译一半 1808储存已经满了。
很奇怪,文档Rockchip_User_Guide_RKNN_Toolkit_V1.6.0_CN.pdf写这支持1808而提供的默认固件怎么没有封装,还需要自己安装?

我下载的dome跑不起来,库安装不上,主动方式用不了,如果1808不支持RKNN_Toolkit_V1.6.0那说明书上就把支持1808芯片给去掉,只支持rknn-toolkit-lite也写清楚。
我的文档太少了,还是那个地方我没有关注到,我的测试结果,就这样,希望厂家给个答复。




本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

yaqi825

注册会员

积分
185
 楼主| 发表于 2021-3-6 18:00:20 | 显示全部楼层
jefferyzhang 发表于 2021-3-6 15:36
仔细看文档,rknn是个模型格式,rknntoolkit和lite都是调用模型的工具而已。python基本错误请自行百度。to ...

已经编写了我的测试过程。麻烦给出我哪里出错了。再次感谢
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表